-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.37-community-nt


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema teste
--

CREATE DATABASE IF NOT EXISTS teste;
USE teste;

--
-- Definition of table `departamento`
--

DROP TABLE IF EXISTS `departamento`;
CREATE TABLE `departamento` (
  `ID` int(11) NOT NULL,
  `NOME` varchar(255) default NULL,
  `GERENTE_ID` int(11) default NULL,
  `DIVISAO_ID` int(11) NOT NULL,
  PRIMARY KEY  (`ID`),
  KEY `FK_DEPARTAMENTO_GERENTE_ID` (`GERENTE_ID`),
  KEY `FK_DEPARTAMENTO_DIVISAO_ID` (`DIVISAO_ID`),
  CONSTRAINT `FK_DEPARTAMENTO_DIVISAO_ID` FOREIGN KEY (`DIVISAO_ID`) REFERENCES `divisao` (`ID`),
  CONSTRAINT `FK_DEPARTAMENTO_GERENTE_ID` FOREIGN KEY (`GERENTE_ID`) REFERENCES `funcionario` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `departamento`
--

/*!40000 ALTER TABLE `departamento` DISABLE KEYS */;
INSERT INTO `departamento` (`ID`,`NOME`,`GERENTE_ID`,`DIVISAO_ID`) VALUES 
 (1,'Departamento 1',1,1);
/*!40000 ALTER TABLE `departamento` ENABLE KEYS */;


--
-- Definition of table `desktop`
--

DROP TABLE IF EXISTS `desktop`;
CREATE TABLE `desktop` (
  `ID` int(11) NOT NULL,
  `MARCA` varchar(255) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `desktop`
--

/*!40000 ALTER TABLE `desktop` DISABLE KEYS */;
/*!40000 ALTER TABLE `desktop` ENABLE KEYS */;


--
-- Definition of table `divisao`
--

DROP TABLE IF EXISTS `divisao`;
CREATE TABLE `divisao` (
  `ID` int(11) NOT NULL,
  `NOME` varchar(255) default NULL,
  `CHEFE_ID` int(11) NOT NULL,
  PRIMARY KEY  (`ID`),
  KEY `FK_DIVISAO_CHEFE_ID` (`CHEFE_ID`),
  CONSTRAINT `FK_DIVISAO_CHEFE_ID` FOREIGN KEY (`CHEFE_ID`) REFERENCES `funcionario` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `divisao`
--

/*!40000 ALTER TABLE `divisao` DISABLE KEYS */;
INSERT INTO `divisao` (`ID`,`NOME`,`CHEFE_ID`) VALUES 
 (1,'Divis?£o 1',1);
/*!40000 ALTER TABLE `divisao` ENABLE KEYS */;


--
-- Definition of table `engineers_professionalunions`
--

DROP TABLE IF EXISTS `engineers_professionalunions`;
CREATE TABLE `engineers_professionalunions` (
  `engineer_id` bigint(20) NOT NULL,
  `professionalunion_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`engineer_id`,`professionalunion_id`),
  KEY `FKA24B2CA64638FAF9` (`engineer_id`),
  KEY `FKA24B2CA651E053DB` (`professionalunion_id`),
  CONSTRAINT `FKA24B2CA64638FAF9` FOREIGN KEY (`engineer_id`) REFERENCES `h3employees` (`id`),
  CONSTRAINT `FKA24B2CA651E053DB` FOREIGN KEY (`professionalunion_id`) REFERENCES `h3professionalunions` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `engineers_professionalunions`
--

/*!40000 ALTER TABLE `engineers_professionalunions` DISABLE KEYS */;
INSERT INTO `engineers_professionalunions` (`engineer_id`,`professionalunion_id`) VALUES 
 (22,1),
 (23,1),
 (24,1),
 (25,1),
 (26,1),
 (27,1),
 (28,1),
 (29,1),
 (30,1),
 (31,1);
/*!40000 ALTER TABLE `engineers_professionalunions` ENABLE KEYS */;


--
-- Definition of table `funcionario`
--

DROP TABLE IF EXISTS `funcionario`;
CREATE TABLE `funcionario` (
  `ID` int(11) NOT NULL,
  `DTYPE` varchar(31) default NULL,
  `NOME` varchar(255) default NULL,
  `SUPERIOR_ID` int(11) default NULL,
  `DEPARTAMENTO_ID` int(11) default NULL,
  `PARCEIRO_ID` int(11) default NULL,
  `GRAU` char(1) default NULL,
  `EXPERIENCE_YEARS` int(11) default NULL,
  `WORKSTATION_ID` int(11) default NULL,
  `MANAGER_DESCRIPTION` varchar(255) default NULL,
  `DESKTOP_ID` int(11) default NULL,
  `SPOKEN_LANGUAGES` int(11) default NULL,
  PRIMARY KEY  (`ID`),
  KEY `FK_FUNCIONARIO_DESKTOP_ID` (`DESKTOP_ID`),
  KEY `FK_FUNCIONARIO_SUPERIOR_ID` (`SUPERIOR_ID`),
  KEY `FK_FUNCIONARIO_WORKSTATION_ID` (`WORKSTATION_ID`),
  KEY `FK_FUNCIONARIO_DEPARTAMENTO_ID` (`DEPARTAMENTO_ID`),
  KEY `FK_FUNCIONARIO_PARCEIRO_ID` (`PARCEIRO_ID`),
  CONSTRAINT `FK_FUNCIONARIO_DEPARTAMENTO_ID` FOREIGN KEY (`DEPARTAMENTO_ID`) REFERENCES `departamento` (`ID`),
  CONSTRAINT `FK_FUNCIONARIO_DESKTOP_ID` FOREIGN KEY (`DESKTOP_ID`) REFERENCES `desktop` (`ID`),
  CONSTRAINT `FK_FUNCIONARIO_PARCEIRO_ID` FOREIGN KEY (`PARCEIRO_ID`) REFERENCES `funcionario` (`ID`),
  CONSTRAINT `FK_FUNCIONARIO_SUPERIOR_ID` FOREIGN KEY (`SUPERIOR_ID`) REFERENCES `funcionario` (`ID`),
  CONSTRAINT `FK_FUNCIONARIO_WORKSTATION_ID` FOREIGN KEY (`WORKSTATION_ID`) REFERENCES `workstation` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `funcionario`
--

/*!40000 ALTER TABLE `funcionario` DISABLE KEYS */;
INSERT INTO `funcionario` (`ID`,`DTYPE`,`NOME`,`SUPERIOR_ID`,`DEPARTAMENTO_ID`,`PARCEIRO_ID`,`GRAU`,`EXPERIENCE_YEARS`,`WORKSTATION_ID`,`MANAGER_DESCRIPTION`,`DESKTOP_ID`,`SPOKEN_LANGUAGES`) VALUES 
 (1,'Gerente','Francisco',NULL,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (52,'Funcionario','Joao4',NULL,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (53,'Funcionario','Joao3',52,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (54,'Funcionario','Joao2',53,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (55,'Funcionario','Joao1',54,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (56,'Funcionario','Joao1',54,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (57,'Funcionario','Joao2',53,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (58,'Funcionario','Joao1',57,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (59,'Funcionario','Joao1',57,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (60,'Funcionario','Joao3',52,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (61,'Funcionario','Joao2',60,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (62,'Funcionario','Joao1',61,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (63,'Funcionario','Joao1',61,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `funcionario` (`ID`,`DTYPE`,`NOME`,`SUPERIOR_ID`,`DEPARTAMENTO_ID`,`PARCEIRO_ID`,`GRAU`,`EXPERIENCE_YEARS`,`WORKSTATION_ID`,`MANAGER_DESCRIPTION`,`DESKTOP_ID`,`SPOKEN_LANGUAGES`) VALUES 
 (64,'Funcionario','Joao2',60,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (65,'Funcionario','Joao1',64,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (66,'Funcionario','Joao1',64,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (67,'Gerente','Gerente1',NULL,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (68,'Gerente','Gerente2',NULL,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (69,'Gerente','Gerente3',NULL,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (70,'Gerente','Gerente4',NULL,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (71,'Gerente','Gerente5',NULL,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (73,'Engenheiro','Joo1',NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL),
 (74,'Engenheiro','Joo2',NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL),
 (75,'Engenheiro','Joo3',NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL),
 (76,'Engenheiro','Joo4',NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL),
 (77,'Engenheiro','Joo5',NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL);
INSERT INTO `funcionario` (`ID`,`DTYPE`,`NOME`,`SUPERIOR_ID`,`DEPARTAMENTO_ID`,`PARCEIRO_ID`,`GRAU`,`EXPERIENCE_YEARS`,`WORKSTATION_ID`,`MANAGER_DESCRIPTION`,`DESKTOP_ID`,`SPOKEN_LANGUAGES`) VALUES 
 (78,'Engenheiro','Joo6',NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL),
 (79,'Engenheiro','Joo7',NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL),
 (80,'Engenheiro','Joo8',NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL),
 (81,'Engenheiro','Joo9',NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL),
 (82,'Engenheiro','Joo10',NULL,1,NULL,NULL,0,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `funcionario` ENABLE KEYS */;


--
-- Definition of table `funcionario_habilidade`
--

DROP TABLE IF EXISTS `funcionario_habilidade`;
CREATE TABLE `funcionario_habilidade` (
  `funcionarios_ID` int(11) NOT NULL,
  `habilidades_ID` int(11) NOT NULL,
  PRIMARY KEY  (`funcionarios_ID`,`habilidades_ID`),
  KEY `FK_FUNCIONARIO_HABILIDADE_habilidades_ID` (`habilidades_ID`),
  CONSTRAINT `FK_FUNCIONARIO_HABILIDADE_funcionarios_ID` FOREIGN KEY (`funcionarios_ID`) REFERENCES `funcionario` (`ID`),
  CONSTRAINT `FK_FUNCIONARIO_HABILIDADE_habilidades_ID` FOREIGN KEY (`habilidades_ID`) REFERENCES `habilidade` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `funcionario_habilidade`
--

/*!40000 ALTER TABLE `funcionario_habilidade` DISABLE KEYS */;
/*!40000 ALTER TABLE `funcionario_habilidade` ENABLE KEYS */;


--
-- Definition of table `funcionario_professionalunion`
--

DROP TABLE IF EXISTS `funcionario_professionalunion`;
CREATE TABLE `funcionario_professionalunion` (
  `engenheiros_ID` int(11) NOT NULL,
  `professionalUnions_ID` int(11) NOT NULL,
  PRIMARY KEY  (`engenheiros_ID`,`professionalUnions_ID`),
  KEY `FUNCIONARIO_PROFESSIONALUNIONprofessionalUnions_ID` (`professionalUnions_ID`),
  CONSTRAINT `FK_FUNCIONARIO_PROFESSIONALUNION_engenheiros_ID` FOREIGN KEY (`engenheiros_ID`) REFERENCES `funcionario` (`ID`),
  CONSTRAINT `FUNCIONARIO_PROFESSIONALUNIONprofessionalUnions_ID` FOREIGN KEY (`professionalUnions_ID`) REFERENCES `professionalunion` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `funcionario_professionalunion`
--

/*!40000 ALTER TABLE `funcionario_professionalunion` DISABLE KEYS */;
INSERT INTO `funcionario_professionalunion` (`engenheiros_ID`,`professionalUnions_ID`) VALUES 
 (73,72),
 (74,72),
 (75,72),
 (76,72),
 (77,72),
 (78,72),
 (79,72),
 (80,72),
 (81,72),
 (82,72);
/*!40000 ALTER TABLE `funcionario_professionalunion` ENABLE KEYS */;


--
-- Definition of table `funcionario_projeto`
--

DROP TABLE IF EXISTS `funcionario_projeto`;
CREATE TABLE `funcionario_projeto` (
  `habilidade_funcionarios_ID` int(11) NOT NULL,
  `projetos_ID` int(11) NOT NULL,
  PRIMARY KEY  (`habilidade_funcionarios_ID`,`projetos_ID`),
  KEY `FK_FUNCIONARIO_PROJETO_projetos_ID` (`projetos_ID`),
  CONSTRAINT `FK_FUNCIONARIO_PROJETO_habilidade_funcionarios_ID` FOREIGN KEY (`habilidade_funcionarios_ID`) REFERENCES `funcionario` (`ID`),
  CONSTRAINT `FK_FUNCIONARIO_PROJETO_projetos_ID` FOREIGN KEY (`projetos_ID`) REFERENCES `projeto` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `funcionario_projeto`
--

/*!40000 ALTER TABLE `funcionario_projeto` DISABLE KEYS */;
/*!40000 ALTER TABLE `funcionario_projeto` ENABLE KEYS */;


--
-- Definition of table `h3departments`
--

DROP TABLE IF EXISTS `h3departments`;
CREATE TABLE `h3departments` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `division_id` bigint(20) NOT NULL,
  `manager_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `manager_id` (`manager_id`),
  KEY `FK8CD8BDB654FFEA39` (`division_id`),
  KEY `FK8CD8BDB64FD9613A` (`manager_id`),
  CONSTRAINT `FK8CD8BDB64FD9613A` FOREIGN KEY (`manager_id`) REFERENCES `h3employees` (`id`),
  CONSTRAINT `FK8CD8BDB654FFEA39` FOREIGN KEY (`division_id`) REFERENCES `h3divisions` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `h3departments`
--

/*!40000 ALTER TABLE `h3departments` DISABLE KEYS */;
INSERT INTO `h3departments` (`id`,`name`,`division_id`,`manager_id`) VALUES 
 (1,'Departamento 1',1,1);
/*!40000 ALTER TABLE `h3departments` ENABLE KEYS */;


--
-- Definition of table `h3desktops`
--

DROP TABLE IF EXISTS `h3desktops`;
CREATE TABLE `h3desktops` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `h3desktops`
--

/*!40000 ALTER TABLE `h3desktops` DISABLE KEYS */;
/*!40000 ALTER TABLE `h3desktops` ENABLE KEYS */;


--
-- Definition of table `h3divisions`
--

DROP TABLE IF EXISTS `h3divisions`;
CREATE TABLE `h3divisions` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `boss_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `boss_id` (`boss_id`),
  KEY `FKC9730CFBBF379D7A` (`boss_id`),
  CONSTRAINT `FKC9730CFBBF379D7A` FOREIGN KEY (`boss_id`) REFERENCES `h3employees` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `h3divisions`
--

/*!40000 ALTER TABLE `h3divisions` DISABLE KEYS */;
INSERT INTO `h3divisions` (`id`,`name`,`boss_id`) VALUES 
 (1,'Divisao 1',1);
/*!40000 ALTER TABLE `h3divisions` ENABLE KEYS */;


--
-- Definition of table `h3employees`
--

DROP TABLE IF EXISTS `h3employees`;
CREATE TABLE `h3employees` (
  `id` bigint(20) NOT NULL auto_increment,
  `employee_type` varchar(255) NOT NULL,
  `name` varchar(255) default NULL,
  `department_id` bigint(20) NOT NULL,
  `spouse_id` bigint(20) default NULL,
  `manager_id` bigint(20) default NULL,
  `experience_years` int(11) default NULL,
  `workstation_id` bigint(20) default NULL,
  `degree` char(1) default NULL,
  `spoken_languages` int(11) default NULL,
  `desktop_id` bigint(20) default NULL,
  `manager_description` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `spouse_id` (`spouse_id`),
  UNIQUE KEY `workstation_id` (`workstation_id`),
  UNIQUE KEY `desktop_id` (`desktop_id`),
  KEY `FKC4C4171A3D7C42DB` (`workstation_id`),
  KEY `FKC4C4171A4FD9613A` (`manager_id`),
  KEY `FKC4C4171ACE5DE8BB` (`desktop_id`),
  KEY `FKC4C4171A8660D552` (`spouse_id`),
  KEY `FKC4C4171AD7B34059` (`department_id`),
  CONSTRAINT `FKC4C4171A3D7C42DB` FOREIGN KEY (`workstation_id`) REFERENCES `h3workstations` (`id`),
  CONSTRAINT `FKC4C4171A4FD9613A` FOREIGN KEY (`manager_id`) REFERENCES `h3employees` (`id`),
  CONSTRAINT `FKC4C4171A8660D552` FOREIGN KEY (`spouse_id`) REFERENCES `h3employees` (`id`),
  CONSTRAINT `FKC4C4171ACE5DE8BB` FOREIGN KEY (`desktop_id`) REFERENCES `h3desktops` (`id`),
  CONSTRAINT `FKC4C4171AD7B34059` FOREIGN KEY (`department_id`) REFERENCES `h3departments` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `h3employees`
--

/*!40000 ALTER TABLE `h3employees` DISABLE KEYS */;
INSERT INTO `h3employees` (`id`,`employee_type`,`name`,`department_id`,`spouse_id`,`manager_id`,`experience_years`,`workstation_id`,`degree`,`spoken_languages`,`desktop_id`,`manager_description`) VALUES 
 (1,'h3manager','Gerente 1',1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (2,'org.polepos.teams.hibernate.data.H3Employee','Joao4',1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (3,'org.polepos.teams.hibernate.data.H3Employee','Joao3',1,NULL,2,NULL,NULL,NULL,NULL,NULL,NULL),
 (4,'org.polepos.teams.hibernate.data.H3Employee','Joao2',1,NULL,3,NULL,NULL,NULL,NULL,NULL,NULL),
 (5,'org.polepos.teams.hibernate.data.H3Employee','Joao1',1,NULL,4,NULL,NULL,NULL,NULL,NULL,NULL),
 (6,'org.polepos.teams.hibernate.data.H3Employee','Joao1',1,NULL,4,NULL,NULL,NULL,NULL,NULL,NULL),
 (7,'org.polepos.teams.hibernate.data.H3Employee','Joao2',1,NULL,3,NULL,NULL,NULL,NULL,NULL,NULL),
 (8,'org.polepos.teams.hibernate.data.H3Employee','Joao1',1,NULL,7,NULL,NULL,NULL,NULL,NULL,NULL),
 (9,'org.polepos.teams.hibernate.data.H3Employee','Joao1',1,NULL,7,NULL,NULL,NULL,NULL,NULL,NULL),
 (10,'org.polepos.teams.hibernate.data.H3Employee','Joao3',1,NULL,2,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `h3employees` (`id`,`employee_type`,`name`,`department_id`,`spouse_id`,`manager_id`,`experience_years`,`workstation_id`,`degree`,`spoken_languages`,`desktop_id`,`manager_description`) VALUES 
 (11,'org.polepos.teams.hibernate.data.H3Employee','Joao2',1,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL),
 (12,'org.polepos.teams.hibernate.data.H3Employee','Joao1',1,NULL,11,NULL,NULL,NULL,NULL,NULL,NULL),
 (13,'org.polepos.teams.hibernate.data.H3Employee','Joao1',1,NULL,11,NULL,NULL,NULL,NULL,NULL,NULL),
 (14,'org.polepos.teams.hibernate.data.H3Employee','Joao2',1,NULL,10,NULL,NULL,NULL,NULL,NULL,NULL),
 (15,'org.polepos.teams.hibernate.data.H3Employee','Joao1',1,NULL,14,NULL,NULL,NULL,NULL,NULL,NULL),
 (16,'org.polepos.teams.hibernate.data.H3Employee','Joao1',1,NULL,14,NULL,NULL,NULL,NULL,NULL,NULL),
 (17,'h3manager','Gerente1',1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (18,'h3manager','Gerente2',1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (19,'h3manager','Gerente3',1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (20,'h3manager','Gerente4',1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
INSERT INTO `h3employees` (`id`,`employee_type`,`name`,`department_id`,`spouse_id`,`manager_id`,`experience_years`,`workstation_id`,`degree`,`spoken_languages`,`desktop_id`,`manager_description`) VALUES 
 (21,'h3manager','Gerente5',1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (22,'h3engineer','Joo1',1,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL),
 (23,'h3engineer','Joo2',1,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL),
 (24,'h3engineer','Joo3',1,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL),
 (25,'h3engineer','Joo4',1,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL),
 (26,'h3engineer','Joo5',1,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL),
 (27,'h3engineer','Joo6',1,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL),
 (28,'h3engineer','Joo7',1,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL),
 (29,'h3engineer','Joo8',1,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL),
 (30,'h3engineer','Joo9',1,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL),
 (31,'h3engineer','Joo10',1,NULL,NULL,0,NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `h3employees` ENABLE KEYS */;


--
-- Definition of table `h3employees_locations_projects`
--

DROP TABLE IF EXISTS `h3employees_locations_projects`;
CREATE TABLE `h3employees_locations_projects` (
  `employee_id` bigint(20) NOT NULL,
  `location_id` bigint(20) NOT NULL,
  `project_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`employee_id`,`location_id`),
  KEY `FK71CBF180F19C9E99` (`employee_id`),
  KEY `FK71CBF1806B5EAB9B` (`project_id`),
  KEY `FK71CBF1806392D39` (`location_id`),
  CONSTRAINT `FK71CBF1806392D39` FOREIGN KEY (`location_id`) REFERENCES `h3locations` (`id`),
  CONSTRAINT `FK71CBF1806B5EAB9B` FOREIGN KEY (`project_id`) REFERENCES `h3projects` (`id`),
  CONSTRAINT `FK71CBF180F19C9E99` FOREIGN KEY (`employee_id`) REFERENCES `h3employees` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `h3employees_locations_projects`
--

/*!40000 ALTER TABLE `h3employees_locations_projects` DISABLE KEYS */;
/*!40000 ALTER TABLE `h3employees_locations_projects` ENABLE KEYS */;


--
-- Definition of table `h3employees_projects_skills`
--

DROP TABLE IF EXISTS `h3employees_projects_skills`;
CREATE TABLE `h3employees_projects_skills` (
  `employee_id` bigint(20) NOT NULL,
  `project_id` bigint(20) NOT NULL,
  `skill_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`employee_id`,`project_id`,`skill_id`),
  KEY `FKBE91AC42F19C9E99` (`employee_id`),
  KEY `FKBE91AC422A0AECDB` (`skill_id`),
  KEY `FKBE91AC426B5EAB9B` (`project_id`),
  CONSTRAINT `FKBE91AC422A0AECDB` FOREIGN KEY (`skill_id`) REFERENCES `h3skills` (`id`),
  CONSTRAINT `FKBE91AC426B5EAB9B` FOREIGN KEY (`project_id`) REFERENCES `h3projects` (`id`),
  CONSTRAINT `FKBE91AC42F19C9E99` FOREIGN KEY (`employee_id`) REFERENCES `h3employees` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `h3employees_projects_skills`
--

/*!40000 ALTER TABLE `h3employees_projects_skills` DISABLE KEYS */;
/*!40000 ALTER TABLE `h3employees_projects_skills` ENABLE KEYS */;


--
-- Definition of table `h3locations`
--

DROP TABLE IF EXISTS `h3locations`;
CREATE TABLE `h3locations` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `h3locations`
--

/*!40000 ALTER TABLE `h3locations` DISABLE KEYS */;
/*!40000 ALTER TABLE `h3locations` ENABLE KEYS */;


--
-- Definition of table `h3professionalunions`
--

DROP TABLE IF EXISTS `h3professionalunions`;
CREATE TABLE `h3professionalunions` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `h3professionalunions`
--

/*!40000 ALTER TABLE `h3professionalunions` DISABLE KEYS */;
INSERT INTO `h3professionalunions` (`id`,`name`) VALUES 
 (1,'CUT');
/*!40000 ALTER TABLE `h3professionalunions` ENABLE KEYS */;


--
-- Definition of table `h3projects`
--

DROP TABLE IF EXISTS `h3projects`;
CREATE TABLE `h3projects` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `h3projects`
--

/*!40000 ALTER TABLE `h3projects` DISABLE KEYS */;
/*!40000 ALTER TABLE `h3projects` ENABLE KEYS */;


--
-- Definition of table `h3skills`
--

DROP TABLE IF EXISTS `h3skills`;
CREATE TABLE `h3skills` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `h3skills`
--

/*!40000 ALTER TABLE `h3skills` DISABLE KEYS */;
/*!40000 ALTER TABLE `h3skills` ENABLE KEYS */;


--
-- Definition of table `h3workstations`
--

DROP TABLE IF EXISTS `h3workstations`;
CREATE TABLE `h3workstations` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `h3workstations`
--

/*!40000 ALTER TABLE `h3workstations` DISABLE KEYS */;
/*!40000 ALTER TABLE `h3workstations` ENABLE KEYS */;


--
-- Definition of table `habilidade`
--

DROP TABLE IF EXISTS `habilidade`;
CREATE TABLE `habilidade` (
  `ID` int(11) NOT NULL,
  `NOME` varchar(255) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `habilidade`
--

/*!40000 ALTER TABLE `habilidade` DISABLE KEYS */;
/*!40000 ALTER TABLE `habilidade` ENABLE KEYS */;


--
-- Definition of table `habilidade_projeto`
--

DROP TABLE IF EXISTS `habilidade_projeto`;
CREATE TABLE `habilidade_projeto` (
  `projetos_ID` int(11) NOT NULL,
  `habilidades_ID` int(11) NOT NULL,
  PRIMARY KEY  (`projetos_ID`,`habilidades_ID`),
  KEY `FK_HABILIDADE_PROJETO_habilidades_ID` (`habilidades_ID`),
  CONSTRAINT `FK_HABILIDADE_PROJETO_habilidades_ID` FOREIGN KEY (`habilidades_ID`) REFERENCES `habilidade` (`ID`),
  CONSTRAINT `FK_HABILIDADE_PROJETO_projetos_ID` FOREIGN KEY (`projetos_ID`) REFERENCES `projeto` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `habilidade_projeto`
--

/*!40000 ALTER TABLE `habilidade_projeto` DISABLE KEYS */;
/*!40000 ALTER TABLE `habilidade_projeto` ENABLE KEYS */;


--
-- Definition of table `jpatree`
--

DROP TABLE IF EXISTS `jpatree`;
CREATE TABLE `jpatree` (
  `ID` int(11) NOT NULL,
  `DEPTH` int(11) default NULL,
  `NAME` varchar(255) default NULL,
  `PRECEDING_ID` int(11) default NULL,
  `SUBSEQUENT_ID` int(11) default NULL,
  PRIMARY KEY  (`ID`),
  KEY `FK_JPATREE_PRECEDING_ID` (`PRECEDING_ID`),
  KEY `FK_JPATREE_SUBSEQUENT_ID` (`SUBSEQUENT_ID`),
  CONSTRAINT `FK_JPATREE_PRECEDING_ID` FOREIGN KEY (`PRECEDING_ID`) REFERENCES `jpatree` (`ID`),
  CONSTRAINT `FK_JPATREE_SUBSEQUENT_ID` FOREIGN KEY (`SUBSEQUENT_ID`) REFERENCES `jpatree` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `jpatree`
--

/*!40000 ALTER TABLE `jpatree` DISABLE KEYS */;
/*!40000 ALTER TABLE `jpatree` ENABLE KEYS */;


--
-- Definition of table `local`
--

DROP TABLE IF EXISTS `local`;
CREATE TABLE `local` (
  `ID` int(11) NOT NULL,
  `NOME` varchar(255) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `local`
--

/*!40000 ALTER TABLE `local` DISABLE KEYS */;
/*!40000 ALTER TABLE `local` ENABLE KEYS */;


--
-- Definition of table `local_funcionario`
--

DROP TABLE IF EXISTS `local_funcionario`;
CREATE TABLE `local_funcionario` (
  `funcionarios_ID` int(11) NOT NULL,
  `locais_ID` int(11) NOT NULL,
  PRIMARY KEY  (`funcionarios_ID`,`locais_ID`),
  KEY `FK_LOCAL_FUNCIONARIO_locais_ID` (`locais_ID`),
  CONSTRAINT `FK_LOCAL_FUNCIONARIO_funcionarios_ID` FOREIGN KEY (`funcionarios_ID`) REFERENCES `funcionario` (`ID`),
  CONSTRAINT `FK_LOCAL_FUNCIONARIO_locais_ID` FOREIGN KEY (`locais_ID`) REFERENCES `local` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `local_funcionario`
--

/*!40000 ALTER TABLE `local_funcionario` DISABLE KEYS */;
/*!40000 ALTER TABLE `local_funcionario` ENABLE KEYS */;


--
-- Definition of table `local_projeto`
--

DROP TABLE IF EXISTS `local_projeto`;
CREATE TABLE `local_projeto` (
  `projetos_ID` int(11) NOT NULL,
  `locais_ID` int(11) NOT NULL,
  PRIMARY KEY  (`projetos_ID`,`locais_ID`),
  KEY `FK_LOCAL_PROJETO_locais_ID` (`locais_ID`),
  CONSTRAINT `FK_LOCAL_PROJETO_locais_ID` FOREIGN KEY (`locais_ID`) REFERENCES `local` (`ID`),
  CONSTRAINT `FK_LOCAL_PROJETO_projetos_ID` FOREIGN KEY (`projetos_ID`) REFERENCES `projeto` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `local_projeto`
--

/*!40000 ALTER TABLE `local_projeto` DISABLE KEYS */;
/*!40000 ALTER TABLE `local_projeto` ENABLE KEYS */;


--
-- Definition of table `professionalunion`
--

DROP TABLE IF EXISTS `professionalunion`;
CREATE TABLE `professionalunion` (
  `ID` int(11) NOT NULL,
  `NOME` varchar(255) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `professionalunion`
--

/*!40000 ALTER TABLE `professionalunion` DISABLE KEYS */;
INSERT INTO `professionalunion` (`ID`,`NOME`) VALUES 
 (72,'CUT');
/*!40000 ALTER TABLE `professionalunion` ENABLE KEYS */;


--
-- Definition of table `projeto`
--

DROP TABLE IF EXISTS `projeto`;
CREATE TABLE `projeto` (
  `ID` int(11) NOT NULL,
  `NOME` varchar(255) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `projeto`
--

/*!40000 ALTER TABLE `projeto` DISABLE KEYS */;
/*!40000 ALTER TABLE `projeto` ENABLE KEYS */;


--
-- Definition of table `projeto_funcionario`
--

DROP TABLE IF EXISTS `projeto_funcionario`;
CREATE TABLE `projeto_funcionario` (
  `funcionarios_atribuidos_ID` int(11) NOT NULL,
  `projetos_atribuidos_ID` int(11) NOT NULL,
  PRIMARY KEY  (`funcionarios_atribuidos_ID`,`projetos_atribuidos_ID`),
  KEY `FK_PROJETO_FUNCIONARIO_projetos_atribuidos_ID` (`projetos_atribuidos_ID`),
  CONSTRAINT `FK_PROJETO_FUNCIONARIO_funcionarios_atribuidos_ID` FOREIGN KEY (`funcionarios_atribuidos_ID`) REFERENCES `funcionario` (`ID`),
  CONSTRAINT `FK_PROJETO_FUNCIONARIO_projetos_atribuidos_ID` FOREIGN KEY (`projetos_atribuidos_ID`) REFERENCES `projeto` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `projeto_funcionario`
--

/*!40000 ALTER TABLE `projeto_funcionario` DISABLE KEYS */;
/*!40000 ALTER TABLE `projeto_funcionario` ENABLE KEYS */;


--
-- Definition of table `sequence`
--

DROP TABLE IF EXISTS `sequence`;
CREATE TABLE `sequence` (
  `SEQ_NAME` varchar(50) NOT NULL,
  `SEQ_COUNT` decimal(38,0) default NULL,
  PRIMARY KEY  (`SEQ_NAME`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `sequence`
--

/*!40000 ALTER TABLE `sequence` DISABLE KEYS */;
INSERT INTO `sequence` (`SEQ_NAME`,`SEQ_COUNT`) VALUES 
 ('SEQ_GEN','101');
/*!40000 ALTER TABLE `sequence` ENABLE KEYS */;


--
-- Definition of table `thb0`
--

DROP TABLE IF EXISTS `thb0`;
CREATE TABLE `thb0` (
  `ID` int(11) NOT NULL auto_increment,
  `b0` int(11) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `thb0`
--

/*!40000 ALTER TABLE `thb0` DISABLE KEYS */;
/*!40000 ALTER TABLE `thb0` ENABLE KEYS */;


--
-- Definition of table `thb1`
--

DROP TABLE IF EXISTS `thb1`;
CREATE TABLE `thb1` (
  `parent0` int(11) NOT NULL,
  `b1` int(11) default NULL,
  PRIMARY KEY  (`parent0`),
  KEY `FK35D183AF138028` (`parent0`),
  CONSTRAINT `FK35D183AF138028` FOREIGN KEY (`parent0`) REFERENCES `thb0` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `thb1`
--

/*!40000 ALTER TABLE `thb1` DISABLE KEYS */;
/*!40000 ALTER TABLE `thb1` ENABLE KEYS */;


--
-- Definition of table `thb2`
--

DROP TABLE IF EXISTS `thb2`;
CREATE TABLE `thb2` (
  `parent1` int(11) NOT NULL,
  `b2` int(11) default NULL,
  PRIMARY KEY  (`parent1`),
  KEY `FK35D184AF13802A` (`parent1`),
  CONSTRAINT `FK35D184AF13802A` FOREIGN KEY (`parent1`) REFERENCES `thb1` (`parent0`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `thb2`
--

/*!40000 ALTER TABLE `thb2` DISABLE KEYS */;
/*!40000 ALTER TABLE `thb2` ENABLE KEYS */;


--
-- Definition of table `thb3`
--

DROP TABLE IF EXISTS `thb3`;
CREATE TABLE `thb3` (
  `parent2` int(11) NOT NULL,
  `b3` int(11) default NULL,
  PRIMARY KEY  (`parent2`),
  KEY `FK35D185AF13802C` (`parent2`),
  CONSTRAINT `FK35D185AF13802C` FOREIGN KEY (`parent2`) REFERENCES `thb2` (`parent1`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `thb3`
--

/*!40000 ALTER TABLE `thb3` DISABLE KEYS */;
/*!40000 ALTER TABLE `thb3` ENABLE KEYS */;


--
-- Definition of table `thb4`
--

DROP TABLE IF EXISTS `thb4`;
CREATE TABLE `thb4` (
  `parent3` int(11) NOT NULL,
  `b4` int(11) default NULL,
  PRIMARY KEY  (`parent3`),
  KEY `FK35D186AF13802E` (`parent3`),
  CONSTRAINT `FK35D186AF13802E` FOREIGN KEY (`parent3`) REFERENCES `thb3` (`parent2`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `thb4`
--

/*!40000 ALTER TABLE `thb4` DISABLE KEYS */;
/*!40000 ALTER TABLE `thb4` ENABLE KEYS */;


--
-- Definition of table `thibernateindexedpilot`
--

DROP TABLE IF EXISTS `thibernateindexedpilot`;
CREATE TABLE `thibernateindexedpilot` (
  `ID` int(11) NOT NULL auto_increment,
  `Name` varchar(100) default NULL,
  `FirstName` varchar(100) default NULL,
  `Points` int(11) default NULL,
  `LicenseID` int(11) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `thibernateindexedpilot`
--

/*!40000 ALTER TABLE `thibernateindexedpilot` DISABLE KEYS */;
/*!40000 ALTER TABLE `thibernateindexedpilot` ENABLE KEYS */;


--
-- Definition of table `thibernatepilot`
--

DROP TABLE IF EXISTS `thibernatepilot`;
CREATE TABLE `thibernatepilot` (
  `ID` int(11) NOT NULL auto_increment,
  `Name` varchar(100) default NULL,
  `FirstName` varchar(100) default NULL,
  `Points` int(11) default NULL,
  `LicenseID` int(11) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `thibernatepilot`
--

/*!40000 ALTER TABLE `thibernatepilot` DISABLE KEYS */;
/*!40000 ALTER TABLE `thibernatepilot` ENABLE KEYS */;


--
-- Definition of table `thibernatetree`
--

DROP TABLE IF EXISTS `thibernatetree`;
CREATE TABLE `thibernatetree` (
  `id` int(11) NOT NULL auto_increment,
  `preceding` int(11) default NULL,
  `subsequent` int(11) default NULL,
  `name` varchar(100) default NULL,
  `depth` int(11) default NULL,
  PRIMARY KEY  (`id`),
  KEY `FK75DC92FCE67843D1` (`subsequent`),
  KEY `FK75DC92FCD985619F` (`preceding`),
  CONSTRAINT `FK75DC92FCD985619F` FOREIGN KEY (`preceding`) REFERENCES `thibernatetree` (`id`),
  CONSTRAINT `FK75DC92FCE67843D1` FOREIGN KEY (`subsequent`) REFERENCES `thibernatetree` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `thibernatetree`
--

/*!40000 ALTER TABLE `thibernatetree` DISABLE KEYS */;
/*!40000 ALTER TABLE `thibernatetree` ENABLE KEYS */;


--
-- Definition of table `workstation`
--

DROP TABLE IF EXISTS `workstation`;
CREATE TABLE `workstation` (
  `ID` int(11) NOT NULL,
  `LOCAL` varchar(255) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `workstation`
--

/*!40000 ALTER TABLE `workstation` DISABLE KEYS */;
/*!40000 ALTER TABLE `workstation` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
