package org.polepos.teams.hibernate.data;

import java.io.Serializable;


public class H3EmployeeLocation {
	
	public static class Id implements Serializable {
		
		private static final long serialVersionUID = 3246461292831514271L;
		private Long location_id;
		private Long employee_id;

		public Id() {}

		public Id(Long location_id, Long employee_id) {
			super();
			this.location_id = location_id;
			this.employee_id = employee_id;
		}

		@Override
		public boolean equals(Object arg0) {
			if(arg0 != null && arg0 instanceof Id) {
				Id obj = (Id)arg0;
				return this.location_id.equals(obj.location_id) && this.employee_id.equals(obj.employee_id);
			}
			return false;
		}

		@Override
		public int hashCode() {
			return this.location_id.hashCode() + this.employee_id.hashCode();
		}
	
	}
	
	private Id id = new Id();
	private H3Location location;
	private H3Project project;
	private H3Employee employee;
	
	public H3EmployeeLocation() {}

	public H3EmployeeLocation(H3Location location, H3Project project, H3Employee employee) {
		super();
		this.location = location;
		this.project = project;
		this.employee = employee;
		
		this.id.location_id = location.getId();
		this.id.employee_id = employee.getId();
		
		this.employee.getAllocated().add(this);
		this.location.getAllocated().add(this);
		this.project.getAllocated().add(this);
		
	}

	public H3Location getLocation() {
		return location;
	}

	public void setLocation(H3Location location) {
		this.location = location;
	}

	public H3Project getProject() {
		return project;
	}

	public void setProject(H3Project project) {
		this.project = project;
	}

	public H3Employee getEmployee() {
		return employee;
	}

	public void setEmployee(H3Employee employee) {
		this.employee = employee;
	}

	public Id getId() {
		return id;
	}

	private void setId(Id id) {
		this.id = id;
	}
	
}
