/* 
This file is part of the PolePosition database benchmark
http://www.polepos.org

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA  02111-1307, USA. */

package org.polepos.teams.jpa;

import org.polepos.framework.Car;
import org.polepos.framework.Driver;
import org.polepos.framework.Team;
import org.polepos.teams.jdbc.Jdbc;


public class JPATeam extends Team{
    
    private final Car[] mCars;
    
    public JPATeam(){
        String[] dbs = Jdbc.settings().getJPATypes();
        mCars = new Car[ dbs.length ];
        for( int i = 0; i < dbs.length; i++ ){
            mCars[ i ] = new JPACar(dbs[ i ] );
        }
    }

	public String name(){
		return "JPA";
	}

    @Override
    public String description() {
        return "Oracle Toplink Essentials Java Persistence API implementation";
    }


	public Car[] cars(){
		return mCars;
	}
    
    public Driver[] drivers() {
        return new Driver[]{          
            new SepangJPA(),
            new MataoJPA()
        };
    }
    
    @Override
    public String website() {
        return "http://www.oracle.com/technology/products/ias/toplink/JPA/index.html";
    }

}
