/* 
This file is part of the PolePosition database benchmark
http://www.polepos.org

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA  02111-1307, USA. */

package org.polepos.teams.jpa;

import javax.persistence.EntityTransaction;
import javax.persistence.Query;

import org.polepos.circuits.sepang.SepangDriver;
import org.polepos.teams.jpa.data.JPATreeVisitor;
import org.polepos.teams.jpa.data.modelo.JPATree;



/**
 * @author Herkules
 */
public class SepangJPA extends JPADriver implements SepangDriver{
    
    private long treeRootID; // TODO: get and use for findRoot
    
    public void write(){
        try{
            EntityTransaction tx =  db().getTransaction();
        	tx.begin();
        	
            JPATree tree = JPATree.createTree(setup().getTreeDepth());
            JPATree.traverse(tree, new JPATreeVisitor() {
                public void visit(JPATree tree) {
                    try {
                        db().persist(tree);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                }
            });
            tx.commit();
            
        }
        catch ( Exception hex ){
            hex.printStackTrace();
        }
    }

	
	public void read(){
		try{
            JPATree tree = findRoot();
            JPATree.traverse(tree, new JPATreeVisitor() {
                public void visit(JPATree tree) {
                    addToCheckSum(tree.getDepth());
                }
            });
		}catch ( Exception hex ){
			hex.printStackTrace();
		}
	}
    
    public void read_hot() {
        read();
    }
	
	public void delete(){
		/*try{
			EntityTransaction tx =  db().getTransaction();
        	tx.begin();
            JPATree tree = findRoot();
            JPATree.traverse(tree, new JPATreeVisitor() {
                public void visit(JPATree tree) {
                    try {
                        db().remove(tree);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                }
            });
			tx.commit();
		}catch ( Exception hex ){
			hex.printStackTrace();
		}*/
	}
	
	/**
	 * Finds the root of the tree.
	 */
	private JPATree findRoot() throws Exception
	{
		Query q = db().createQuery( "SELECT t FROM JPATree t WHERE t.name = 'root'" );
        		
		JPATree tree = (JPATree)q.getResultList().get(0);
		return tree;
	}
		
}
