package org.polepos.teams.jpa.data.modelo;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

@Entity
public class Departamento {
	@Id @GeneratedValue(strategy=GenerationType.AUTO) private int id;
	private String nome;
	
	@ManyToOne(optional=false)
	@JoinColumn(nullable=false)
	private Divisao divisao;
	
	@OneToOne(optional=false)
	/*@JoinColumn(nullable=false)*/
	private Funcionario gerente;
	
	@OneToMany(mappedBy="departamento")	
	private Set<Funcionario> funcionarios = new HashSet<Funcionario>();
	
	public Departamento() {}
		
	public Departamento(int id, Divisao divisao) {
		this.id = id;
		this.divisao = divisao;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public Divisao getDivisao() {
		return divisao;
	}


	public void setDivisao(Divisao divisao) {
		this.divisao = divisao;
	}

	public Funcionario getGerente() {
		return gerente;
	}

	public void setGerente(Funcionario gerente) {
		this.gerente = gerente;
	}

	public Set<Funcionario> getFuncionarios() {
		return funcionarios;
	}

	public void setFuncionarios(Set<Funcionario> funcionarios) {
		this.funcionarios = funcionarios;
	}

	
	
	
}
