package org.polepos.teams.jpa.data.modelo;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

@Entity
public class Divisao {
	@Id @GeneratedValue(strategy=GenerationType.AUTO) private int id;
	private String nome;
	@OneToMany(mappedBy="divisao")
	private Set<Departamento> departamentos = new HashSet<Departamento>();
	@OneToOne(optional=false)
	@JoinColumn(nullable=false)
	private Funcionario chefe;
	
	public Divisao() {}	
	
	public Divisao(int id, Funcionario chefe) {
		this.id = id;
		this.chefe = chefe;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public Set<Departamento> getDepartamentos() {
		return departamentos;
	}

	public void setDepartamentos(Set<Departamento> departamentos) {
		this.departamentos = departamentos;
	}

	public Funcionario getChefe() {
		return chefe;
	}

	public void setChefe(Funcionario chefe) {
		this.chefe = chefe;
	}
	
	
	

}
