package org.polepos.teams.jpa.data.modelo;

import java.util.Set;
import java.util.HashSet;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.ManyToMany;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.Transient;

@Entity
public class Funcionario {
	@Transient
	private static long idGenerator;
	@Id @GeneratedValue(strategy=GenerationType.AUTO) private int id;
	private String nome;
	
	@OneToOne(mappedBy="chefe")
	private Divisao divisao;
	
	@OneToOne(mappedBy="gerente")
	private Departamento departamento_chefiado;

	@ManyToOne(optional=false)
	/*@JoinColumn(nullable=false)*/
	private Departamento departamento;
	
	@OneToOne
	private Funcionario parceiro;
	
	@ManyToOne 
	private Funcionario superior;
	
	@OneToMany(mappedBy="superior",cascade=CascadeType.ALL)	
	private Set<Funcionario> funcionarios = new HashSet<Funcionario>();
	
	@ManyToMany
	private Set<Projeto> projetos = new HashSet<Projeto>();
	
	@ManyToMany
	private Set<Habilidade> habilidades = new HashSet<Habilidade>();
	
	@ManyToMany(mappedBy="funcionarios_atribuidos")
	private Set<Projeto> projetos_atribuidos = new HashSet<Projeto>();
	
	@ManyToMany(mappedBy="funcionarios")
	private Set<Local> locais = new HashSet<Local>();
	
	
	public Funcionario() {}		
	
	public Funcionario(int id) {
		super();
		this.id = id;
	}

	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getNome() {
		return nome;
	}
	public void setNome(String nome) {
		this.nome = nome;
	}

	public Divisao getDivisao() {
		return divisao;
	}

	public void setDivisao(Divisao divisao) {
		this.divisao = divisao;
	}

	public static long getIdGenerator() {
		return ++idGenerator;
	}

	public static void setIdGenerator(long idGenerator) {
		Funcionario.idGenerator = idGenerator;
	}
	
	public Departamento getDepartamento_chefiado() {
		return departamento_chefiado;
	}

	public void setDepartamento_chefiado(Departamento departamento_chefiado) {
		this.departamento_chefiado = departamento_chefiado;
	}

	public Departamento getDepartamento() {
		return departamento;
	}

	public void setDepartamento(Departamento departamento) {
		this.departamento = departamento;
	}

	public Funcionario getParceiro() {
		return parceiro;
	}

	public void setParceiro(Funcionario parceiro) {
		this.parceiro = parceiro;
	}

	public Set<Funcionario> getFuncionarios() {
		return funcionarios;
	}

	public void setFuncionarios(Set<Funcionario> funcionarios) {
		this.funcionarios = funcionarios;
	}

	public Funcionario getSuperior() {
		return superior;
	}

	public void setSuperior(Funcionario superior) {
		this.superior = superior;
	}

	public Set<Habilidade> getHabilidades() {
		return habilidades;
	}

	public void setHabilidades(Set<Habilidade> habilidades) {
		this.habilidades = habilidades;
	}

	public Set<Local> getLocais() {
		return locais;
	}

	public void setLocais(Set<Local> locais) {
		this.locais = locais;
	}

	public Set<Projeto> getProjetos() {
		return projetos;
	}

	public void setProjetos(Set<Projeto> projetos) {
		this.projetos = projetos;
	}

	public Set<Projeto> getProjetos_atribuidos() {
		return projetos_atribuidos;
	}

	public void setProjetos_atribuidos(Set<Projeto> projetos_atribuidos) {
		this.projetos_atribuidos = projetos_atribuidos;
	}

	
	
}
