package org.polepos.teams.jpa.data.modelo;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.ManyToMany;

@Entity
public class Habilidade {
	@Id @GeneratedValue(strategy=GenerationType.AUTO) private int id;
	private String nome;
	
	@ManyToMany(mappedBy="habilidades")
	private Set<Funcionario> funcionarios = new HashSet<Funcionario>();
	
	@ManyToMany
	private Set<Projeto> projetos = new HashSet<Projeto>();
	
	public Habilidade() {}

	public Habilidade(int id) {
		super();
		this.id = id;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public Set<Funcionario> getFuncionarios() {
		return funcionarios;
	}

	public void setFuncionarios(Set<Funcionario> funcionarios) {
		this.funcionarios = funcionarios;
	}

	public Set<Projeto> getProjetos() {
		return projetos;
	}

	public void setProjetos(Set<Projeto> projetos) {
		this.projetos = projetos;
	}

	
}
