package org.polepos.teams.jpa.data.modelo;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.ManyToMany;

@Entity
public class Projeto {
	@Id @GeneratedValue(strategy=GenerationType.AUTO) private int id;
	private String nome;
	
	@ManyToMany(mappedBy="projetos")
	private Set<Funcionario> habilidade_funcionarios = new HashSet<Funcionario>();
	
	@ManyToMany(mappedBy="projetos")
	private Set<Habilidade> habilidades = new HashSet<Habilidade>();
	
	@ManyToMany
	private Set<Funcionario> funcionarios_atribuidos = new HashSet<Funcionario>();
	
	@ManyToMany(mappedBy="projetos")
	private Set<Local> locais = new HashSet<Local>();
	
	public Projeto() {}

	public Projeto(int id) {
		super();
		this.id = id;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public Set<Funcionario> getFuncionarios_atribuidos() {
		return funcionarios_atribuidos;
	}

	public void setFuncionarios_atribuidos(
			Set<Funcionario> funcionarios_atribuidos) {
		this.funcionarios_atribuidos = funcionarios_atribuidos;
	}

	public Set<Funcionario> getHabilidade_funcionarios() {
		return habilidade_funcionarios;
	}

	public void setHabilidade_funcionarios(
			Set<Funcionario> habilidade_funcionarios) {
		this.habilidade_funcionarios = habilidade_funcionarios;
	}

	public Set<Habilidade> getHabilidades() {
		return habilidades;
	}

	public void setHabilidades(Set<Habilidade> habilidades) {
		this.habilidades = habilidades;
	}

	public Set<Local> getLocais() {
		return locais;
	}

	public void setLocais(Set<Local> locais) {
		this.locais = locais;
	}

	
}
